if(isFile("Add-Ons/Sound_Synth4_12to24/server.cs"))
	echo("This server has extra synth sounds for Event_Piano! The host is awesome :)");

registerOutputEvent("fxDtsBrick","pianoSynth","string 200 100" TAB "int 1 30000 100",1);

function fxDtsBrick::pianoSynth(%brick,%mel,%delay,%client)
{
	if(%brick.isPlaying)
	{
		%brick.noteCount = 0;
		%brick.isPlaying = 0;
	}
	else
	{
		%brick.noteCount = 0;
		%brick.isPlaying = 1;
		playSynth(%brick,%mel,%delay);
	}
}
	


function playSynth(%brick,%mel,%delay)
{
	%note = getWord(%mel,%brick.notecount);
	if(%note $= "")
	{
		%brick.isPlaying = 0;
		return 0;
	}
	
	if(%brick.isPlaying)
	{
		if(%note $= "-10")
		{
			%brick.notecount += 1;
			schedule(10,0,playSynth,%brick,%mel,%delay);
			return;
		}
		if(%note $= "-50")
		{
			%brick.notecount += 1;
			schedule(50,0,playSynth,%brick,%mel,%delay);
			return;
		}
		if(%note $= "-100")
		{
			%brick.notecount += 1;
			schedule(100,0,playSynth,%brick,%mel,%delay);
			return;
		}
		if(%note $= "-1000")
		{
			%brick.notecount += 1;
			schedule(1000,0,playSynth,%brick,%mel,%delay);
			return;
		}

		else if(%note $= "+")
		{
			%delay -= 50;
			%notecount += 1;
			schedule(%delay,0,playSynth,%brick,%mel,%delay);
		}
		else if(%note $= "-")
		{
			%delay += 50;
			%notecount += 1;
			schedule(%delay,0,playSynth,%brick,%mel,%delay);
		}
		
		if(isFile("Add-Ons/Sound_Synth4_12to24/server.cs"))
		{
			if(%note < 10)
				%brick.playSound("Synth_0"@%note@"_Sound");
			else if(%note > 9 && %note < 20) 
				%brick.playSound("Synth_1"@getSubStr(%note,1,1)@"_Sound");
			else if(%note > 19 && %note < 25)
				%brick.playSound("Synth_2"@getSubStr(%note,1,1)@"_Sound");
		}
		else
		{
			if(%note < 10)
				%brick.playSound("Synth_0"@%note@"_Sound");
			else if(%note > 9 && %note < 12) 
				%brick.playSound("Synth_1"@getSubStr(%note,1,1)@"_Sound");
		}
		%brick.notecount += 1;
		schedule(%delay,0,playSynth,%brick,%mel,%delay);
	}
}